﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace AutocompleteSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //initialized all classes
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();

        //declare a variable for the query.
        string query;

        private void Form1_Load(object sender, EventArgs e)
        {
            //Connection between SQL Server to C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=dbname;trusted_connection=true;";
          //set a query for retrieving data in the database
            query = "Select Fullname from tblname"; 
            //initialize new Sql commands
            cmd = new SqlCommand();
            //hold the data to be executed.
            cmd.Connection = con;
            cmd.CommandText = query;
            //initialize new Sql data adapter
            da = new SqlDataAdapter();
            //fetching query in the database.
            da.SelectCommand = cmd;
            //initialize new datatable
            dt = new DataTable();
            //refreshes the rows in specified range in the datasource. 
            da.Fill(dt);

             textBox1.AutoCompleteCustomSource.Clear();
            foreach (DataRow r in dt.Rows)
            {
                //getting all rows in the specific field|Column
                var rw = r.Field<string>("Fullname");

                //Set the properties of a textbox to make it auto suggest.
                textBox1.AutoCompleteMode = AutoCompleteMode.Suggest;
                textBox1.AutoCompleteSource = AutoCompleteSource.CustomSource; 
                //adding all rows into the textbox
                textBox1.AutoCompleteCustomSource.Add(rw);  
            
            } 

        }
    }
}
